Needed on my Soekris net45xx devices to determine the correct size of
the CF cards.

Index: sbin/fdisk/fdisk.c
===================================================================
RCS file: /cvsroot/src/sbin/fdisk/fdisk.c,v
retrieving revision 1.77.2.1.2.1
diff -u -p -r1.77.2.1.2.1 fdisk.c
--- sbin/fdisk/fdisk.c	1 Dec 2005 19:55:25 -0000	1.77.2.1.2.1
+++ sbin/fdisk/fdisk.c	3 May 2010 14:45:53 -0000
@@ -1548,7 +1548,7 @@ check_overlap(int part, int sysid, daddr
 	if (sysid != 0) {
 		if (start < dos_sectors)
 			return "Track zero is reserved for the BIOS";
-		if (start + size > dos_disksectors) 
+		if (start + size > disksectors) 
 			return "Partition exceeds size of disk";
 		for (p = 0; p < MBR_PART_COUNT; p++) {
 			if (p == part || mboot.mbr_parts[p].mbrp_type == 0)
@@ -1813,7 +1813,7 @@ change_part(int extended, int part, int 
 					p = -1;
 				}
 			}
-			if (start >= dos_disksectors) {
+			if (start >= disksectors) {
 				printf("No free space\n");
 				return 0;
 			}
@@ -1833,7 +1833,7 @@ change_part(int extended, int part, int 
 #endif
 		} else {
 			daddr_t old = start;
-			daddr_t lim = extended ? ext.limit : dos_disksectors;
+			daddr_t lim = extended ? ext.limit : disksectors;
 			start = decimal("start", start,
 				DEC_SEC | DEC_RND_0 | (extended ? DEC_RND : 0),
 				extended ? ext.base : 0, lim);
